% Author: Housam Binous

% National Institute of Applied Sciences and Technology, Tunis, TUNISIA

% Email: binoushousam@yahoo.com

function [X,FVAk jL,REASON,OUTPUT,POPULATION,SCORES] =  binous2
%%   This is an auto generated M file to do optimization with the Genetic Algorithm and
%    Direct Search Toolbox. Use GAOPTIMSET for default GA options structure.

global X 

%%Fitness function
fitnessFunction = @objsimple;
%%Number of Variables
nvars = 4 ;
%Start with default options
options = gaoptimset;
%%Modify some parameters
options = gaoptimset(options,'PopInitRange' ,[49  6500 -6 4000;52  8000  -5 5000]);
options = gaoptimset(options,'PopulationSize' ,10);
options = gaoptimset(options,'CrossoverFraction' ,0.2);
options = gaoptimset(options,'Generations' ,20);
options = gaoptimset(options,'StallGenLimit' ,Inf);
options = gaoptimset(options,'StallTimeLimit' ,Inf);
options = gaoptimset(options,'SelectionFcn' ,@selectionuniform);
options = gaoptimset(options,'MutationFcn' ,{ @mutationuniform 0.5 });
options = gaoptimset(options,'Display' ,'off');
% options = gaoptimset(options,'PlotFcns' ,{ @gaplotbestf });
%%Run GA
[X,FVAL,REASON,OUTPUT,POPULATION,SCORES] = ga(fitnessFunction,nvars,options);
