% Author: Housam Binous

% National Institute of Applied Sciences and Technology, Tunis, TUNISIA

% Email: binoushousam@yahoo.com

function f=objsimple(par)

% genetic algorithm will use this objective function

global para Psatexp 

para(1)=par(1);
para(2)=par(2);
para(3)=par(3);
para(4)=par(4);

options = optimset('Display','off');

f=0;

for i=1:11
    T(i)=380.15+i*20;
    if (i==1) Psattheo(i)=fsolve(@(ps) FKTeq2(ps,T(i)),0.5,options);
    else Psattheo(i)=fsolve(@(ps) FKTeq2(ps,T(i)),Psattheo(i-1),options); 
    end
    f=f-(Psattheo(i)-Psatexp(i))^2;
end

  f = 1.0/(1.0 + f);
